| Home | Libraries | People | FAQ | More

## Macro BOOST_TTI_HAS_STATIC_MEMBER_DATA

BOOST_TTI_HAS_STATIC_MEMBER_DATA — Expands to a metafunction which tests whether a static member data with a particular name and type exists.

## Synopsis

    // In header: <boost/tti/has_static_member_data.hpp>

    BOOST_TTI_HAS_STATIC_MEMBER_DATA(name)

## Description

name = the name of the inner member.

generates a metafunction called "has_static_member_data_name" where 'name' is the macro parameter. The metafunction types and return: BOOST_TTI_TP_T = the enclosing type. BOOST_TTI_TP_TYPE = the static member data type, in the form of a data type, in which to look for our 'name'. returns = 'value' is true if the 'name' exists, with the appropriate BOOST_TTI_TP_TYPE type, within the enclosing BOOST_TTI_TP_T type, otherwise 'value' is false.